[API Reference](../README.md) > [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)



# Interface: IContractWrapperFactory

## Type parameters
#### TWrapper :  [IContractWrapperBase](IContractWrapperBase.md)
## Implemented by

* [ContractWrapperFactory](../classes/ContractWrapperFactory.md)
* [DaoCreatorFactoryType](../classes/DaoCreatorFactoryType.md)
* [DaoTokenFactoryType](../classes/DaoTokenFactoryType.md)
* [GenesisProtocolFactoryType](../classes/GenesisProtocolFactoryType.md)
* [IntVoteInterfaceFactoryType](../classes/IntVoteInterfaceFactoryType.md)
* [MintableTokenFactoryType](../classes/MintableTokenFactoryType.md)
* [RedeemerFactoryType](../classes/RedeemerFactoryType.md)
* [ReputationFactoryType](../classes/ReputationFactoryType.md)
* [StandardTokenFactoryType](../classes/StandardTokenFactoryType.md)


## Properties
<a id="at"></a>

###  at

**●  at**:  *`function`* 

*Defined in [iContractWrapperBase.ts:27](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L27)*


#### Type declaration
►(address: *`string`*): `Promise`.<`TWrapper`>



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<`TWrapper`>






___

<a id="deployed"></a>

###  deployed

**●  deployed**:  *`function`* 

*Defined in [iContractWrapperBase.ts:28](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L28)*


#### Type declaration
►(): `Promise`.<`TWrapper`>





**Returns:** `Promise`.<`TWrapper`>






___

<a id="new"></a>

###  new

**●  new**:  *`function`* 

*Defined in [iContractWrapperBase.ts:26](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L26)*


#### Type declaration
►(...rest: *`Array`.<`any`>*): `Promise`.<`TWrapper`>



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<`TWrapper`>






___


